package rogue 
{
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.geom.Point;
	import flash.geom.Rectangle;
	/**
	 * ...
	 * @author Arthur Zeferino
	 */
	public class LevelMap extends Sprite
	{
		
		public function LevelMap() 
		{
			this.graphics.lineStyle(3, 0xff0000);
			//this.graphics.moveTo(0, 0);
			var n:Number = 10;
			var angle:Number = Math.PI * 2 / n;
			for (var i:Number = 0; i <= Math.PI*2; i +=angle)
			{
				var xPoint:Number = 325+(Math.cos(i) * 320);
				var yPoint:Number = 410+(Math.sin(i) * 320);
				
				if (i == 0)
					this.graphics.moveTo(xPoint, yPoint);
				else
					this.graphics.lineTo(xPoint, yPoint);
			}
			
			
			/*this.graphics.lineStyle(3, 0xff0000);
			this.graphics.moveTo(3, 192);
			this.graphics.lineTo(256, 3);
			this.graphics.lineTo(768, 3);
			this.graphics.lineTo(1024, 192);
			this.graphics.lineTo(1024, 576);
			this.graphics.lineTo(768, 768);
			this.graphics.lineTo(256, 768);
			this.graphics.lineTo(3, 576);
			this.graphics.lineTo(3, 192);*/
		}
		
		
		public function checkCollision(sprite:GameSprite):Boolean
		{
			if (sprite.hitTestObject(this))
			{
				var sptBmp:BitmapData = new BitmapData(sprite.collider.width, sprite.collider.height, true, 0);
				sptBmp.draw(sprite.collider, null, null, null, new Rectangle(-20, -20, sprite.collider.width, sprite.collider.height));
				var roomBmp:BitmapData = new BitmapData(this.width, this.height, true, 0);
				roomBmp.draw(this);
					
				if (sptBmp.hitTest(new Point(sprite.x - this.x, sprite.y - this.y ), 1, roomBmp, new Point(0, 0), 1))
					return true;
			}
			return false;
		}
		
	}

}