package rogue 
{
	import flash.display.Sprite;
	/**
	 * ...
	 * @author Arthur Zeferino
	 */
	public class SceneManager 
	{
		
		private static var instance:SceneManager = null;
		
		public var stage:Sprite = null;
		private var currentScene:GameScene = null;
		
		public static function getInstance():SceneManager
		{
			if (instance == null)
				instance = new SceneManager();
				
			return instance;
		}
		
		public function SceneManager() 
		{
			
		}
		
		public function setScene(scene:GameScene):void
		{
			if (stage != null)
			{
				if (currentScene != null)
					stage.removeChild(currentScene);
					
				currentScene = scene;
				stage.addChild(currentScene);
			}
		}
		
		public function getCurrentScene():GameScene
		{
			return currentScene;
		}
		
		
		
	}

}