package rogue 
{
	import flash.media.Sound;
	import flash.media.SoundChannel;
	import flash.media.SoundTransform;
	/**
	 * ...
	 * @author Arthur Zeferino
	 */
	public class SoundManager 
	{
		private var bgmChannel:SoundChannel;
		
		
		private static var instance:SoundManager = null;
		
		public static function getInstance():SoundManager
		{
			if (instance == null)
				instance = new SoundManager();
				
			return instance;
		}
		
		public function SoundManager() 
		{
			
		}
		
		public function playBGM():void
		{
			var bgm:Sound = new GlobalSounds.SFX_MUSIC();
			bgmChannel = bgm.play(0, 50, new SoundTransform(0.4));
		}
		
		public function setMusicVolume(vol:Number):void
		{
			bgmChannel.soundTransform = new SoundTransform(vol);
		}
		
		public function playSound(snd:Class):void
		{
			var newSnd:Sound = new snd();
			newSnd.play();
		}
		
		public function playHurtSound():void
		{
			var rnd:int = Math.floor(Math.random() * 3);
			var sound:Sound;
			
			if (rnd == 0)  sound = new GlobalSounds.SFX_CHARHIT1();
			else if (rnd == 1)  sound = new GlobalSounds.SFX_CHARHIT2();
			else if (rnd == 2)  sound = new GlobalSounds.SFX_CHARHIT3();
			
			sound.play();
		}
		
		public function stopMusic():void
		{
			bgmChannel.stop();
		}
		
	}

}