package rogue 
{
	import flash.display.Bitmap;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.KeyboardEvent;
	import flash.events.MouseEvent;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFormatAlign;
	/**
	 * ...
	 * @author Arthur Zeferino
	 */
	public class TitleScreen extends GameScene
	{
		[Embed(source = "../../resources/tutorial.png")]
		private var IMG_TUT:Class;
		
		[Embed(source = "../../resources/title.png")]
		private var IMG_TITLE:Class;
		
		private var pressToStart:TextField;
		private var copyRight:TextField;
		
		private var titSpt:Bitmap;
		private var tutSpt:Bitmap;
		
		public function TitleScreen() 
		{
			titSpt = new IMG_TITLE();
			titSpt.y = 130;
			this.addChild(titSpt);
			
			pressToStart = new TextField();
			pressToStart.selectable = false;
			pressToStart.embedFonts = true;
			pressToStart.width = 600;
			pressToStart.defaultTextFormat = new TextFormat("Vectrexfake", 40, 0xff0000);
			pressToStart.text = "PRESS ANY BUTTON TO START";
			
			pressToStart.x = 160;
			pressToStart.y = 350;
			
			this.addChild(pressToStart);			
			
			copyRight = new TextField();
			copyRight.selectable = false;
			copyRight.embedFonts = true;
			copyRight.width = 600;
			copyRight.defaultTextFormat = new TextFormat("Vectrexfake", 20, 0xff0000);
			copyRight.text = "MMXIV ARTHUR TUBA ZEFERINO";
			
			copyRight.x = 5;
			copyRight.y = 740;
			
			this.addChild(copyRight);
			
			tutSpt = new IMG_TUT();
			tutSpt.y = 450;
			this.addChild(tutSpt);
			
			this.addEventListener(Event.ADDED_TO_STAGE, startEvents);
		}
		
		public function startEvents(event:Event):void
		{
			this.removeEventListener(Event.ADDED_TO_STAGE, startEvents);
			
			stage.addEventListener(KeyboardEvent.KEY_UP, startGame);
			this.addEventListener(MouseEvent.CLICK, startGame);
		}
		
		public function startGame(event:Event):void
		{
			stage.removeEventListener(KeyboardEvent.KEY_UP, startGame);
			this.removeEventListener(MouseEvent.CLICK, startGame);
			
			SceneManager.getInstance().setScene(new MenuScreen());
		}
	}

}