package rogue 
{
	import flash.display.Sprite;
	/**
	 * ...
	 * @author Arthur Zeferino
	 */
	public class Weapon extends Sprite
	{
		public static const WP_SWORD:int = 0;
		public static const WP_AXE:int = 1;
		public static const WP_SPEAR:int = 2;
		
		public static const EVENT_ATTACK_FINISH:String = "EVENT_ATTACK_FINISH";
		
		public function Weapon() 
		{
			
		}
		
		public static function newWeapon(type:int):Weapon
		{
			switch (type)
			{
				case WP_SWORD:
					return new WeaponSword();
				case WP_SPEAR:
					return new WeaponSpear();
				case WP_AXE:
					return new WeaponAxe();
			}
			
			return new WeaponSword();
		}
		
		public function prepare():void
		{
			
		}
		
		public function charge(strength:Number):void
		{
			
		}
		
		public function attack(strength:Number):void
		{
		
		}
		
		protected function updateweaponPos():void
		{

		}
		
		protected function haltweapon():void
		{

		}	
		
		public function loseControl():void
		{
			
		}
	}

}