package rogue 
{
	import flash.display.Sprite;
	import com.greensock.TweenLite;
	
	/**
	 * ...
	 * @author Arthur Zeferino
	 */
	public class CrowdSpt extends Sprite
	{
		[Embed(source = "../../resources/plateia.png")]
		private var IMG_PLATEIA:Class;
		
		private var animating:Boolean = false;
		private var offset:int;
		private var counter:int;
		
		public function CrowdSpt() 
		{
			this.addChild(new IMG_PLATEIA());
			offset = 1;
		}
		
		public function animate(time:Number):void
		{
			animating = true;
			counter = 0;
			TweenLite.to(this, time, { alpha:1.0, onComplete:stopAnimatin } );
		}
		
		public function stopAnimatin():void
		{
			animating = false;
			counter = 0;
		}
		
		public function update():void
		{
			if (animating)
			{
				counter++;
				if (counter == 5)
				{
					this.y += 10 * offset;
					offset = -offset;
					counter = 0;
				}
			}
		}
		
	}

}