package rogue 
{
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFormat;
	/**
	 * ...
	 * @author Arthur Zeferino
	 */
	public class Lifebar extends Sprite
	{
		public var playerName:TextField;
		public var bar:Sprite;
		
		public function Lifebar(name:String) 
		{
			playerName = new TextField();
			playerName.selectable = false;
			playerName.embedFonts = true;
			playerName.width = 300;
			playerName.defaultTextFormat = new TextFormat("Vectrexfake", 40, 0xff0000);
			playerName.text = name;
			
			this.addChild(playerName);
			
			bar = new Sprite();
			bar.graphics.lineStyle(3, 0x0ff0000);
			bar.graphics.lineTo(200, 0);
			bar.y = 40;
			this.addChild(bar);
		}
		
		public function setLife(amount:Number):void
		{
			if (amount > 0)
				bar.scaleX = amount;
			else
				bar.scaleX = 0;
		}
		
	}

}