package rogue
{
	import flash.display.Sprite;
	import flash.events.Event;
	
	/**
	 * ...
	 * @author Arthur Zeferino
	 */
	
	[SWF(width="650",height="794",backgroundcolor="000000")]	
	
	public class Main extends Sprite 
	{
		[Embed(source="../../resources/Vectrexfake.ttf", fontName="Vectrexfake", embedAsCFF= "false")]
		public var FontClass:Class;		
		
		private var currentScene:GameScene;
		
		public function Main():void 
		{
			if (stage) init();
			else addEventListener(Event.ADDED_TO_STAGE, init);
		}
		
		private function init(e:Event = null):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			// entry point
			
			Globals.stage = this.stage;
			Input.initialize();
			
			currentScene = new TitleScreen();
			SceneManager.getInstance().stage = this;
			SceneManager.getInstance().setScene(currentScene);
			
			this.addEventListener(Event.ENTER_FRAME, onUpdate);
		}
		
		private function onUpdate(event:Event):void
		{
			SceneManager.getInstance().getCurrentScene().update();
			Input.update();
		}
	}
	
}